booster::nowide::basic_ofstream< CharType, Traits > Class Template Reference

`#include <booster/booster/nowide/fstream.h>`

Inheritance diagram for booster::nowide::basic_ofstream< CharType, Traits >:

## Public Types

typedef basic_filebuf < CharType, Traits > | internal_buffer_type
typedef std::basic_ostream < CharType, Traits > | internal_stream_type

## Public Member Functions

| basic_ofstream (char const *file_name, std::ios_base::openmode mode=std::ios_base::out)
void | open (char const *file_name, std::ios_base::openmode mode=std::ios_base::out)
bool | is_open ()
bool | is_open () const
void | close ()
internal_buffer_type * | rdbuf () const

## Detailed Description

### template<typename CharType, typename Traits = std::char_traits<CharType>>
class booster::nowide::basic_ofstream< CharType, Traits >

Same as std::basic_ofstream<char> but accepts UTF-8 strings under Windows

The documentation for this class was generated from the following file:

- booster/nowide/fstream.h